html, body {
    width: 100%;
    height: 100%;
    margin: 0;
}

.hidden {
    display: none;
}

.login {
    font-size: 14px;
    position: relative;
    width: 100%;
    /*height: 100%;*/
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    min-width: 1208px !important;
    flex-wrap: wrap;
    padding-top: 82px;
    height: 603px;
    padding-bottom: 24px;
}

.login a {
    text-decoration: none;
    color: inherit;
}

.login-bg__content {
    /*box-shadow: 0 16px 24px 0 rgba(0,0,0,0.08);*/
    position: relative;
    border-radius: 20px;
    min-width: 1208px !important;
    height: 602px!important;
}

@media (min-width: 1200px) {
    .login-bg__content {
        width: 810px;
        height: 510px;
    }
}

@media (min-width: 1440px) {
    .login-bg__content {
        width: 1208px;
        height: 602px;
    }
}

.login-bg__img {
    width: 100%;
    height: 100%;
}

.login-bg__icon {
    position: absolute;
    width: 157px;
    /*height: 38px;*/
    top: 24px;
    left: 24px;
}

.login-card {
    position: absolute;
    top: 0px;
    right: 0px;
    height: 100%;
    width: 340px;
    box-sizing: border-box;
    background-size: 100% 100%;
    padding: 40px 22px 16px 40px;
    border-radius: 12px;
    /*box-shadow: 0 2px 20px 0 rgba(0,0,0,0.1);*/
    padding-top: 80px;
}

.login-avatar {
    height: 40px;
    text-align: center;
    margin-bottom: 16px;
}

.login-avatar img {
    width: 40px;
    height: 40px;
}

.login-title {
    font-size: 18px;
    color: #000000;
    text-align: center;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 40px;
}

.login-submitbtn {
    height: 36px;
    width: 100%;
    line-height: 36px;
    color: #fff;
    background: #3A70FC;
    border-radius: 4px;
    border: none;
    cursor: pointer;
    margin-bottom: 8px;
    transition: all .3s;
}

.login-submitbtn:hover {
    opacity: 0.6;
}

.login-forgetpwd {
    text-align: right;
    color: #999;
    /*#margin-bottom: 88px;*/
}

.login-switchtype__input {
    position: absolute;
    bottom: 16px;
    width: calc(100% - 80px);
    color: #999;
    text-align: center;
}

.login-forgetpwd a,
.login-switchtype__input a {
    cursor: pointer;
}

.login-switchtype_dingtalk {
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 50px;
    width: 32px;
    height: 32px;
}

.login-switchtype__icon {
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    width: 54px;
    height: 54px;
}

.login-switchtype-feishu img,.login-switchtype_dingtalk img {
    /*box-shadow: 10px 10px 10px rgba(0,0,0,.5);*/
    /*考虑浏览器兼容性*/
    /*-moz-box-shadow: 10px 10px 10px rgba(0,0,0,.5);*/
    /*-webkit-box-shadow: 10px 10px 10px rgba(0,0,0,.5);*/
    /*border-radius: 16px;*/
    width:56px;
    /*box-shadow: 0 16px 38px -12px rgba(0,0,0,0.46), 0 4px 25px 0 rgba(0,0,0,0.12), 0 8px 10px -5px rgba(0,0,0,0.2);*/
}

.login-switchtype-feishu {
    cursor: pointer;
    position: absolute;
    top: 0px;
    right: 0px;
    width: 56px;
    height: 56px;
}

.login-username,
.login-pwd,
.login-code {
    height: 36px;
    margin-bottom: 16px;
    background: #F3F4F6;
    display: flex;
    border-radius: 4px;
    overflow: hidden;
}

.login-username input,
.login-pwd input,
.login-code input {
    border: none;
    background: transparent;
    padding-left: 12px;
    outline: none;
    /*box-sizing: border-box;*/
    caret-color: #88A9FD;
}

.login-username input {
    width: 152px;
}

.login-pwd input {
    width: 210px;
}

.login-code input {
    width: 153px;
}

.login-username__suffix {
    margin: 8px 0;
    border-left: 1px solid #DBDBDB;
    line-height: 20px;
    color: #706F6F;
    padding-left: 12px;
}

.login-showpwd__icon {
    width: 24px;
    padding: 6px 12px;
}

.login-showpwd__icon img {
    width: 24px;
    height: 24px;
    cursor: pointer;
}

.login-code__suffix {
    width: 104px;
    height: 100%;
    padding-right: 3px;
}

.login-code__suffix img {
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.login-errormsg {
    color: #ff4d4f;
    margin: -12px 0 8px 0;
    text-align: end;
}

.login-errormsg a {
    color: #3A70FC;
}

.login-errormsg:empty {
    margin: 0;
}

.login-lang {
    text-align: right;
    color: #999;
    position: absolute;
    right:30px;
    bottom: 128px;
}

.login-qrcode{
    border-radius: 8px;
    overflow: hidden;
    height: 300px;
}